summaryrefslogtreecommitdiff
path: root/sys-apps/gentoo-functions
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
commitbfd9c39e4712ebdb442d4ca0673061faed1e70e1 (patch)
tree0d7a74b4463ee387f9cf9368ceb1b757f694f72a /sys-apps/gentoo-functions
parentf716a9fe6455d39eef01e718aae68dae61c19704 (diff)
downloadbaldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.gz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.xz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.zip
Revert "Adding metadata"
This reverts commit f716a9fe6455d39eef01e718aae68dae61c19704.
Diffstat (limited to 'sys-apps/gentoo-functions')
-rw-r--r--sys-apps/gentoo-functions/Manifest5
-rw-r--r--sys-apps/gentoo-functions/gentoo-functions-0.19.ebuild30
-rw-r--r--sys-apps/gentoo-functions/gentoo-functions-1.7.4.ebuild49
-rw-r--r--sys-apps/gentoo-functions/gentoo-functions-1.7.5.ebuild49
-rw-r--r--sys-apps/gentoo-functions/gentoo-functions-1.7.6.ebuild49
-rw-r--r--sys-apps/gentoo-functions/gentoo-functions-1.7.7.ebuild49
-rw-r--r--sys-apps/gentoo-functions/gentoo-functions-9999.ebuild49
-rw-r--r--sys-apps/gentoo-functions/metadata.xml19
8 files changed, 299 insertions, 0 deletions
diff --git a/sys-apps/gentoo-functions/Manifest b/sys-apps/gentoo-functions/Manifest
new file mode 100644
index 000000000000..b13bc98ed1c7
--- /dev/null
+++ b/sys-apps/gentoo-functions/Manifest
@@ -0,0 +1,5 @@
+DIST gentoo-functions-0.19.tar.bz2 12079 BLAKE2B be0a3a54d4dee1755866047b670a69cd6fec368239123c3f0c08180b79a33c20147bca0e35e568faef6877513551e731bdf0c181aeb0460f6574d2d708219373 SHA512 2674d3fe5724cc6d685ae58bf0ee33f4a1bdba2c5e5809cfb193fd0a710d4678c2d9392c2c62d2321cf455f524950266dc1629ab684fe46632d179e539d5a39e
+DIST gentoo-functions-1.7.4.tar.bz2 29565 BLAKE2B dd05aaee9c078ef6b623950c120b7e9aa7056a1e02248a098a9b33e69109fa5a642221a2209a55570590e8101f4ec82e727602dce543977670dd7d49f789429e SHA512 184809eb684465639bc2d404c421e33153ffcac3fe985123e5f5815863c427c9e4f6155713a2c0b69006a4afbefc114211f4a4216f49e726a198938d43fcd395
+DIST gentoo-functions-1.7.5.tar.bz2 30955 BLAKE2B 288a2196790e71e6eb5dcfa3d3d1f745687144e6e878d07e5b7119df21a2bab87ae03803eddd491cfc17ee3e00541adba5a0b31d52c343088ac948384bd3b48d SHA512 fcce38dea4b1441edefd0433109a59f2d868a5c9e66770799c967c95cecc4cb6c07b0011587db08c3b7088c1db541a723739d95aa79c98cde59b318708e2edd2
+DIST gentoo-functions-1.7.6.tar.bz2 30674 BLAKE2B 7e8209283a39125aec501c8ab7cb681101f7a67a1383961ee32b7b1f09373c8dc2f6000277cfef537bee52f1d340acfc318657b544ef004a120c0d387beb620c SHA512 fa4b4d3ddfbc49616405e618b15abc6e4305c04f548a772623b335c53f02842fc5d0c413f387ed43429a7dce500ac274a0acbd91406850f215ced01ad5c53a51
+DIST gentoo-functions-1.7.7.tar.bz2 30811 BLAKE2B f12dabba5f03f6dab0e2c96acf84134f8e16f1c000cb5ebc920ec0e66be3f490ea9df83618df2e3e1ae61e401e580d84a393698e449fa859d326f2a4449404c0 SHA512 00ea9798145aaa550a83308e655255fd93d3563aa21cacbe4414ce04ab9c3b3f8fc2e63558b3a563da646d1c5d724522b32b5e3a461d7d46f3fbd6a9eb2685a6
diff --git a/sys-apps/gentoo-functions/gentoo-functions-0.19.ebuild b/sys-apps/gentoo-functions/gentoo-functions-0.19.ebuild
new file mode 100644
index 000000000000..81061672a4c3
--- /dev/null
+++ b/sys-apps/gentoo-functions/gentoo-functions-0.19.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2014-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+if [[ ${PV} == 9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/gentoo-functions.git"
+else
+ SRC_URI="https://gitweb.gentoo.org/proj/gentoo-functions.git/snapshot/${P}.tar.bz2"
+ KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos ~x64-solaris"
+fi
+
+inherit toolchain-funcs flag-o-matic
+
+DESCRIPTION="Base functions required by all Gentoo systems"
+HOMEPAGE="https://gitweb.gentoo.org/proj/gentoo-functions.git"
+
+LICENSE="GPL-2"
+SLOT="0"
+
+# Specifically needs GNU find, as well.
+RDEPEND=">=sys-apps/findutils-4.9"
+
+src_configure() {
+ tc-export CC
+ append-lfs-flags
+ export ROOTPREFIX="${EPREFIX}"
+ export PREFIX="${EPREFIX}/usr"
+}
diff --git a/sys-apps/gentoo-functions/gentoo-functions-1.7.4.ebuild b/sys-apps/gentoo-functions/gentoo-functions-1.7.4.ebuild
new file mode 100644
index 000000000000..21f6dfb1a4b1
--- /dev/null
+++ b/sys-apps/gentoo-functions/gentoo-functions-1.7.4.ebuild
@@ -0,0 +1,49 @@
+# Copyright 2014-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson
+
+DESCRIPTION="Base functions required by all Gentoo systems"
+HOMEPAGE="https://gitweb.gentoo.org/proj/gentoo-functions.git"
+
+if [[ ${PV} == 9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/gentoo-functions.git"
+else
+ SRC_URI="https://gitweb.gentoo.org/proj/gentoo-functions.git/snapshot/${P}.tar.bz2"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+src_configure() {
+ local emesonargs=(
+ # Deliberately avoid /usr as consumers assume we're at /lib/gentoo.
+ --prefix="${EPREFIX:-/}"
+ --mandir="${EPREFIX}/usr/share/man"
+ $(meson_use test tests)
+ )
+
+ meson_src_configure
+}
+
+src_install() {
+ meson_src_install
+
+ if [[ ${EPREFIX} ]]; then
+ while read -r; do
+ if [[ ${REPLY} == $'\t'genfun_prefix= ]]; then
+ printf '\tgenfun_prefix=%q\n' "${EPREFIX}"
+ else
+ printf '%s\n' "${REPLY}"
+ fi || ! break
+ done < "${ED}/lib/gentoo/functions.sh" > "${T}/functions.sh" \
+ && mv -- "${T}/functions.sh" "${ED}/lib/gentoo/functions.sh" \
+ || die
+ fi
+}
diff --git a/sys-apps/gentoo-functions/gentoo-functions-1.7.5.ebuild b/sys-apps/gentoo-functions/gentoo-functions-1.7.5.ebuild
new file mode 100644
index 000000000000..4130dc00cbf4
--- /dev/null
+++ b/sys-apps/gentoo-functions/gentoo-functions-1.7.5.ebuild
@@ -0,0 +1,49 @@
+# Copyright 2014-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson
+
+DESCRIPTION="Base functions required by all Gentoo systems"
+HOMEPAGE="https://gitweb.gentoo.org/proj/gentoo-functions.git"
+
+if [[ ${PV} == 9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/gentoo-functions.git"
+else
+ SRC_URI="https://gitweb.gentoo.org/proj/gentoo-functions.git/snapshot/${P}.tar.bz2"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+fi
+
+LICENSE="GPL-2 MIT"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+src_configure() {
+ local emesonargs=(
+ # Deliberately avoid /usr as consumers assume we're at /lib/gentoo.
+ --prefix="${EPREFIX:-/}"
+ --mandir="${EPREFIX}/usr/share/man"
+ $(meson_use test tests)
+ )
+
+ meson_src_configure
+}
+
+src_install() {
+ meson_src_install
+
+ if [[ ${EPREFIX} ]]; then
+ while read -r; do
+ if [[ ${REPLY} == $'\t'genfun_prefix= ]]; then
+ printf '\tgenfun_prefix=%q\n' "${EPREFIX}"
+ else
+ printf '%s\n' "${REPLY}"
+ fi || ! break
+ done < "${ED}/lib/gentoo/functions.sh" > "${T}/functions.sh" \
+ && mv -- "${T}/functions.sh" "${ED}/lib/gentoo/functions.sh" \
+ || die
+ fi
+}
diff --git a/sys-apps/gentoo-functions/gentoo-functions-1.7.6.ebuild b/sys-apps/gentoo-functions/gentoo-functions-1.7.6.ebuild
new file mode 100644
index 000000000000..27cdb78f69c2
--- /dev/null
+++ b/sys-apps/gentoo-functions/gentoo-functions-1.7.6.ebuild
@@ -0,0 +1,49 @@
+# Copyright 2014-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson
+
+DESCRIPTION="Base functions required by all Gentoo systems"
+HOMEPAGE="https://gitweb.gentoo.org/proj/gentoo-functions.git"
+
+if [[ ${PV} == 9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/gentoo-functions.git"
+else
+ SRC_URI="https://gitweb.gentoo.org/proj/gentoo-functions.git/snapshot/${P}.tar.bz2"
+ KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos ~x64-solaris"
+fi
+
+LICENSE="GPL-2 MIT"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+src_configure() {
+ local emesonargs=(
+ # Deliberately avoid /usr as consumers assume we're at /lib/gentoo.
+ --prefix="${EPREFIX:-/}"
+ --mandir="${EPREFIX}/usr/share/man"
+ $(meson_use test tests)
+ )
+
+ meson_src_configure
+}
+
+src_install() {
+ meson_src_install
+
+ if [[ ${EPREFIX} ]]; then
+ while read -r; do
+ if [[ ${REPLY} == $'\t'genfun_prefix= ]]; then
+ printf '\tgenfun_prefix=%q\n' "${EPREFIX}"
+ else
+ printf '%s\n' "${REPLY}"
+ fi || ! break
+ done < "${ED}/lib/gentoo/functions.sh" > "${T}/functions.sh" \
+ && mv -- "${T}/functions.sh" "${ED}/lib/gentoo/functions.sh" \
+ || die
+ fi
+}
diff --git a/sys-apps/gentoo-functions/gentoo-functions-1.7.7.ebuild b/sys-apps/gentoo-functions/gentoo-functions-1.7.7.ebuild
new file mode 100644
index 000000000000..27cdb78f69c2
--- /dev/null
+++ b/sys-apps/gentoo-functions/gentoo-functions-1.7.7.ebuild
@@ -0,0 +1,49 @@
+# Copyright 2014-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson
+
+DESCRIPTION="Base functions required by all Gentoo systems"
+HOMEPAGE="https://gitweb.gentoo.org/proj/gentoo-functions.git"
+
+if [[ ${PV} == 9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/gentoo-functions.git"
+else
+ SRC_URI="https://gitweb.gentoo.org/proj/gentoo-functions.git/snapshot/${P}.tar.bz2"
+ KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos ~x64-solaris"
+fi
+
+LICENSE="GPL-2 MIT"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+src_configure() {
+ local emesonargs=(
+ # Deliberately avoid /usr as consumers assume we're at /lib/gentoo.
+ --prefix="${EPREFIX:-/}"
+ --mandir="${EPREFIX}/usr/share/man"
+ $(meson_use test tests)
+ )
+
+ meson_src_configure
+}
+
+src_install() {
+ meson_src_install
+
+ if [[ ${EPREFIX} ]]; then
+ while read -r; do
+ if [[ ${REPLY} == $'\t'genfun_prefix= ]]; then
+ printf '\tgenfun_prefix=%q\n' "${EPREFIX}"
+ else
+ printf '%s\n' "${REPLY}"
+ fi || ! break
+ done < "${ED}/lib/gentoo/functions.sh" > "${T}/functions.sh" \
+ && mv -- "${T}/functions.sh" "${ED}/lib/gentoo/functions.sh" \
+ || die
+ fi
+}
diff --git a/sys-apps/gentoo-functions/gentoo-functions-9999.ebuild b/sys-apps/gentoo-functions/gentoo-functions-9999.ebuild
new file mode 100644
index 000000000000..4130dc00cbf4
--- /dev/null
+++ b/sys-apps/gentoo-functions/gentoo-functions-9999.ebuild
@@ -0,0 +1,49 @@
+# Copyright 2014-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson
+
+DESCRIPTION="Base functions required by all Gentoo systems"
+HOMEPAGE="https://gitweb.gentoo.org/proj/gentoo-functions.git"
+
+if [[ ${PV} == 9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/gentoo-functions.git"
+else
+ SRC_URI="https://gitweb.gentoo.org/proj/gentoo-functions.git/snapshot/${P}.tar.bz2"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+fi
+
+LICENSE="GPL-2 MIT"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+src_configure() {
+ local emesonargs=(
+ # Deliberately avoid /usr as consumers assume we're at /lib/gentoo.
+ --prefix="${EPREFIX:-/}"
+ --mandir="${EPREFIX}/usr/share/man"
+ $(meson_use test tests)
+ )
+
+ meson_src_configure
+}
+
+src_install() {
+ meson_src_install
+
+ if [[ ${EPREFIX} ]]; then
+ while read -r; do
+ if [[ ${REPLY} == $'\t'genfun_prefix= ]]; then
+ printf '\tgenfun_prefix=%q\n' "${EPREFIX}"
+ else
+ printf '%s\n' "${REPLY}"
+ fi || ! break
+ done < "${ED}/lib/gentoo/functions.sh" > "${T}/functions.sh" \
+ && mv -- "${T}/functions.sh" "${ED}/lib/gentoo/functions.sh" \
+ || die
+ fi
+}
diff --git a/sys-apps/gentoo-functions/metadata.xml b/sys-apps/gentoo-functions/metadata.xml
new file mode 100644
index 000000000000..35acac20e83a
--- /dev/null
+++ b/sys-apps/gentoo-functions/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>williamh@gentoo.org</email>
+ </maintainer>
+ <maintainer type="project">
+ <email>base-system@gentoo.org</email>
+ <name>Gentoo Base System</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>kfm@plushkava.net</email>
+ <name>Kerin Millar</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="gentoo">proj/gentoo-functions</remote-id>
+ <remote-id type="github">gentoo/gentoo-functions</remote-id>
+ </upstream>
+</pkgmetadata>